#! /bin/sh

PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
DAEMON=/usr/bin/sngetter.sh

set -e

function find_pid ()
{
    pid=`ps auwx | grep $1 | grep -v grep | grep -v su | mawk '{ print($2) }'`
    echo $pid
}


case "$1" in
  start)
    if [ -e /var/lock/snplayer ]
    then
    	echo "snplayer has already been started!"
	echo
	exit 0
    fi

    touch /var/lock/snplayer

    echo -n "Starting sngetter . . . "
    su -s /bin/bash snplayer -c /usr/bin/sngetter.sh &> /dev/tty8 &
    echo "done."

    echo -n "Starting snplayer . . . "
    /usr/bin/xinit /bin/su snplayer -c /usr/bin/snplayer.sh -- /usr/bin/X :0 tty9 vt7 &> /dev/tty9 &
    echo "done."
	;;

  stop)
    echo -n "Stopping sngetter . . ."

    pid=`find_pid sngetter.sh`
    while [ "x$pid" != "x" ]
    do
        kill $pid
        pid=`find_pid sngetter.sh`
        echo -n "."
    done

    echo "done."
    echo -n "Stopping player . . ."

    pid=`find_pid snplayer.sh`
    while [ "x$pid" != "x" ]
    do
        kill $pid
        pid=`find_pid snplayer.sh`
        echo -n "."
    done

    rm /var/lock/snplayer

    echo "done."
	;;

  *)
	N=/etc/init.d/snplayer
	# echo "Usage: $N {start|stop}" >&2
	echo "Usage: $N {start|stop}" >&2
	exit 1
	;;
esac

exit 0
