#!/bin/bash
#
# SNPlayer stands for Simple Network Player.
#
# Plays in an infinite loop whatever is in $CACHE_DIR/playlist
#
# Copyright by Carlos Rivera, 2007.
#
# This script is free software, see file COPYING for licence information.

xsetroot -cursor __DATADIR__/snplayer/empty_cursor.xbm \
                 __DATADIR__/snplayer/empty_cursor.xbm
xsetroot -solid black
xset -dpms
xset s off

source __SYSCONFDIR__/snplayer &> /dev/null
source $HOME/.snplayer &> /dev/null

while `true`
do
    show_default_background=1

    if [ -e $CACHE_DIR/playlist ]
    then    
        playlist=`cat $CACHE_DIR/playlist | cut -d/ -f 3- | awk "{ print \"$CACHE_DIR/media/\" \\$0 }" | xargs`


        for i in $playlist
        do
            if [ -e $i ]
            then
                lsof $i &> /dev/null
                if [ $? -ne 0 ]
                then
                    show_default_background=0
                    xsetroot -solid black
                    mplayer -zoom -vo xv -fs $i
                else
                    echo "file $i is in use, probably being downloaded, skip it!"
                    sleep 0.5
                fi
            else
                echo "file $i is missing! can't play it"
                sleep 0.5
            fi
        done

     
    else
        echo "no playing list found! sleep for 5 seconds..."
        sleep 5
    fi

    if [ $show_default_background -eq 1 ]
    then
        xli -onroot $DEFAULT_BACKGROUND
    fi

    sleep 0.5
done
